This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471335 - Review Request: libgdbus - Library for simple D-Bus integration with GLib
Review Request: libgdbus - Library for simple D-Bus integration with GLib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 20:04 EST by Fabian Affolter
Modified: 2009-01-07 04:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
suggest to add doc files to -devel package (1.47 KB, application/octet-stream)
2008-12-03 05:20 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Fabian Affolter 2008-11-12 20:04:38 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/libgdbus.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/libgdbus-0.2-1.fc9.src.rpm

Description:
libgdbus is a helper library for D-Bus integration with GLib.

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=930029

rpmlint output:
[fab@laptop024 i386]$ rpmlint libgdbus*
libgdbus-devel.i386: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop024 SRPMS]$ rpmlint libgdbus*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


This request based on the work which has be done in review marked as DEADREVIEW
https://bugzilla.redhat.com/show_bug.cgi?id=458698
Comment 1 Parag AN(पराग) 2008-12-03 05:20:07 EST
Created attachment 325510 [details]
suggest to add doc files to -devel package

modified spec to add docs to -devel
Comment 3 Parag AN(पराग) 2008-12-08 03:49:40 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=983783
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f51d19564bdf77af1c132c2a38643fe4  libgdbus-0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ gdbus.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libgdbus-0.2-2.fc10 ->
  Provides: libgdbus.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libdbus-1.so.3 libgdbus.so.0 libglib-2.0.so.0 rtld(GNU_HASH)
+ Package libgdbus-devel-0.2-2.fc10 ->
  Provides: pkgconfig(gdbus) = 0.2
  Requires: libgdbus.so.0
+ Not a GUI application.

APPROVED.
Comment 4 Fabian Affolter 2008-12-08 16:27:44 EST
Parag, thanks for the review.
Comment 5 Fabian Affolter 2008-12-08 16:29:09 EST
New Package CVS Request
=======================
Package Name: libgdbus
Short Description: Library for simple D-Bus integration with GLib
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2008-12-09 22:24:23 EST
cvs done.
Comment 7 Fedora Update System 2008-12-14 07:19:12 EST
libgdbus-0.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libgdbus-0.2-2.fc10
Comment 8 Fedora Update System 2008-12-14 07:19:15 EST
libgdbus-0.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libgdbus-0.2-2.fc9
Comment 9 Fedora Update System 2008-12-17 19:36:20 EST
libgdbus-0.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgdbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11307
Comment 10 Fedora Update System 2008-12-17 19:43:04 EST
libgdbus-0.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update libgdbus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11301
Comment 11 Fedora Update System 2009-01-07 04:20:13 EST
libgdbus-0.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-07 04:22:27 EST
libgdbus-0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.